FREE(1)

BEZEICHNUNG
free - Anzeige des freien und belegten Speichers

ÜBERSICHT
free [Optionen]

BESCHREIBUNG
free zeigt den gesamten freien und genutzten physischen Speicher und Auslagerungsspeicher im System sowie die vom Kernel verwendeten Puffer und Zwischenspeicher an. Die Informationen werden durch Auslesen von /proc/meminfo ermittelt. Folgende Spalten werden angezeigt:

total
    zeigt den insgesamt installierten Speicher an (MemTotal and SwapTotal in /proc/meminfo).

used
    Benutzer Speicher (errechnet durch Gesamtspeicher minus freier Speicher minus Puffer minus Cache)

free
    Ungenutzter Speicher (MemFree and SwapFree in /proc/meminfo)

shared
    (Hauptsächlich) von tmpfs genutzter Speicher (Shmem in /proc/meminfo)

buffers
    Von den Kernel-Puffern genutzter Speicher (Puffer in /proc/meminfo)

Cache
    Vom Page-Cache und Slabs genutzter Speicher (Cached und SReclaimable in /proc/meminfo)

Puffer/Cache
    Summe von Puffer und Cache

verfügbar
    Schätzung des zum Starten neuer Anwendungen verfügbaren Speichers, ohne den Auslagerungsspeicher zu nutzen. Im Gegensatz zu den in den Feldern Cache oder Frei angezeigten Daten bezieht dieses Feld den Page-Cache mit ein, und beachtet außerdem, dass nicht alle beanspruchbaren Speicher-Slabs durch in Verwendung befindliche Objekte auch wirklich beansprucht werden. (MemAvailable in /proc/meminfo, verfügbar ab Kernel 3.14, emuliert in Kernel 2.6.27 und neuer, anderenfalls gleichbedeutend mit Frei)

OPTIONEN

-b, --bytes
    Zeigt die Speichergröße in Byte an.

-k, --kibi
    Zeigt die Speichergröße in Kibibyte an. Das ist die Voreinstellung.

-m, --mebi
    Zeigt die Speichergröße in Mebibyte an.

-g, --gibi
    Zeigt die Speichergröße in Gibibyte an.

--tebi
    Zeigt die Speichergröße in Tebibyte an.

--pebi
    Zeigt die Speichergröße in Pebibyte an.

--kilo
    Zeigt die Speichergröße in Kilobyte an. Impliziert --si.

--mega
    Zeigt die Speichergröße in Megabyte an. Impliziert --si.

--giga
    Zeigt die Speichergröße in Gigabyte an. Impliziert --si.

--tera
    Zeigt die Speichergröße in Terabyte an. Impliziert --si.

--peta
    Zeigt die Speichergröße in Megabyte an. Impliziert --si.

-h, --human
    Alle angezeigten Felder werden automatisch auf die kleinste Einheit mit drei Ziffern skaliert. Die Einheiten werden in der Ausgabe angezeigt. Es werden die folgenden Einheiten verwendet.

      B = Byte
      K = Kibibyte
      M = Mebibyte
      G = Gibibyte
      T = Tebibyte
      P = Pebibyte

    Falls die Einheit fehlt und Sie Exbibyte an RAM oder Swap haben, wird die Zahl in Tebibyte angezeigt und die Spalten sind möglicherweise nicht an den Kopfzeilen ausgerichtet.

-w, --wide
    wechselt in den breiten Modus. In diesem Modus können Zeilen dargestellt werden, die länger als 80 Zeichen sind. Puffer und Cache werden dann in zwei separaten Spalten dargestellt.

-c, --count Anzahl
    Zeigt das Ergebnis Anzahl mal an. Erfordert die Option -s.

-l, --lohi
    Zeigt detailliert die Belegung von »low memory« und »high memory« an.

-s, --seconds Intervall
    Fortlaufende Aktualisierung der Anzeige nach Intervall Sekunden. Sie können für Intervall eine beliebige Gleitkommazahl angeben, indem Sie entweder ».« oder »,« als Dezimalpunkt verwenden. Durch die Nutzung von usleep(3) können die Intervalle bis auf die Mikrosekunde genau festgelegt werden.

--si
    Verwendet kilo, mega, giga usw. (Potenz von 1000) anstatt kibi, mebi, gibi (Potenz von 1024).

-t, --total
    Zeigt eine Zeile mit den Spaltensummen an.

--help
    Hilfe ausgeben.

-V, --version
    Versionsinformationen anzeigen.

DATEIEN

/proc/meminfo
    Speicherinformationen

FEHLER
Der Wert für die Spalte shared ist unter einem Kernel vor 2.6.32 nicht verfügbar und wird als Null angezeigt.

Bitte schicken Sie Fehlerberichte an
    procps@freelists.org

SIEHE AUCH
ps(1), slabtop(1), top(1), vmstat(8).

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Martin Eberhard Schauer <Martin.E.Schauer@gmx.de>, Dr. Tobias Quathamer <toddy@debian.org>, Mario Blättermann <mario.blaettermann@gmail.com> und Helge Kreutzmann <debian@helgefjell.de> erstellt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen. Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.